#ifndef _TIP_FINDER_H
#define _TIP_FINDER_H

#include "ofMain.h"

#define OF_ADDON_USING_OFXVECTORMATH
#define OF_ADDON_USING_OFXOPENCV

#include "ofAddons.h"

#define MAX_LEN 1024

//this class finds the tips of objects 
//like finger tips and hands, head etc.

class cornerFinder{

	public:
	
	//-----------------------------
	cornerFinder();
	
	int findCorners(vector <ofxVec2f> & vecList, int sensitivity);	
	int getTipIndex(int whichTip);
	
	vector <float>	dist;
	vector <bool>	highest;
	vector <int>	tipList;
	
	int len;
		

};


#endif